For AI agents: a documentation index is available at the root level at /llms.txt and /llms-full.txt. Append /llms.txt to any URL for a page-level index, or .md for the markdown version of any page.
Dashboard
How It WorksKnowledge BaseOnboardingVideo TutorialsPMS GuidanceAPI ReferenceRelease Notes
    • Overview
    • PMS Generic APIs
    • CRM Generic APIs
    • PMS APIs
        • GETGet all listings
        • GETGet all pricing
        • GETGet a listing by ID
    • CRM APIs
    • Download OpenAPI Spec
Dashboard
LogoLogo
ResManListings

Get all listings

GET
/v1/listings/
GET
/v1/listings/
$curl https://api.propexo.com/v1/listings/ \
> -H "Authorization: Bearer <token>"
1{
2 "meta": {
3 "orderBy": [
4 {}
5 ],
6 "offset": 0,
7 "limit": 100,
8 "hasMore": true,
9 "total": 1000
10 },
11 "results": [
12 {
13 "id": "clwktsp9v000008l31iv218hn",
14 "created_at": "2024-03-21T15:38:08.337Z",
15 "updated_at": "2024-03-22T10:59:45.119Z",
16 "last_seen": "2024-03-22T10:59:45.119Z",
17 "x_id": "sdPFT6040dA8y8lCPYd87tpdFtLASs",
18 "x_property_id": "string",
19 "x_unit_id": "101",
20 "x_floor_plan_id": "44069f6273ff0fea0900E2687251666b3ccadf8d1ccf582b30b34ae0d979d5b5",
21 "is_unit": true,
22 "available_date": "2023-02-05T00:00:00.000Z",
23 "application_url": "https://property-url.myresman.com/Portal/Applicants/ExampleURL",
24 "bathrooms": "1.5",
25 "bathrooms_full": 1,
26 "bathrooms_half": 1,
27 "bedrooms": "2",
28 "building_name": "Gateway Court",
29 "building_number": null,
30 "city": "Burlington",
31 "country": "United States",
32 "custom_data": {},
33 "deposit_amount_in_cents": 35000,
34 "floor_plan_code": "A4 WASHINGTON",
35 "floor_plan_name": "Washington - 2 Bedroom, 2 Bathroom",
36 "floor": "2",
37 "image_urls": [
38 "string"
39 ],
40 "is_available": true,
41 "is_furnished": null,
42 "is_listed": true,
43 "is_managed_external": null,
44 "is_vacant": true,
45 "lease_term": "string",
46 "listing_title": null,
47 "listing_date": null,
48 "marketing_name": "210",
49 "notes": null,
50 "number": "210",
51 "rent_amount_in_cents": 175000,
52 "specials": null,
53 "square_feet": 997,
54 "state": "CA",
55 "address_1": "123 Main Street",
56 "address_2": "123 Main Street",
57 "property_description": "An apartment in the heart of the city.",
58 "short_description": null,
59 "unit_description": null,
60 "zip": "90210",
61 "make_ready_date": "2023-02-10T00:00:00.000Z",
62 "vacate_date": "2023-02-10T00:00:00.000Z",
63 "video_urls": null,
64 "status_raw": "Vacant",
65 "property_id": "clwi5xiix000008l6ctdgafyh",
66 "unit_id": "testintegration:1:101",
67 "floor_plan_id": "cm9swl4kk3170431788sb33jf197doqo",
68 "integration_id": "clwh5u07w000508me66sfh3um",
69 "integration_vendor": "RESMAN",
70 "x_location_id": null,
71 "unit_type_id": null,
72 "street_address_1": "string",
73 "street_address_2": "string"
74 }
75 ]
76}
Get all listings
Was this page helpful?
Previous

Get all pricing

Next
Built with

Authentication

AuthorizationBearer

Bearer authentication of the form Bearer <token>, where token is your auth token.

Query parameters

order-bystringOptionalDefaults to created_at:desc

Order the results by a field. Optionally include asc or desc preceded by a colon (default is asc). Example: ?order-by=updated_at:desc

updated_at_gtestring or nullOptional

Filter to records updated at or after this datetime. Format: ISO 8601 (e.g. 2026-01-01T00:00:00Z)

updated_at_ltestring or nullOptional

Filter to records updated at or before this datetime. Format: ISO 8601 (e.g. 2026-12-31T23:59:59Z)

offsetinteger or nullOptional>=0Defaults to 0
Can be used for paginating results
limitinteger or nullOptional0-250Defaults to 100
A number between 1 and 250 to determine the number of results to return in a single query
x_idstringOptional
The external listing id
location_idstringOptional

The Propexo unique identifier for the location associated with the property (exclusive to Rent Manager integrations). This is always null for non-Rent Manager integrations.

unit_idstringOptional
The Propexo unique identifier for the unit
property_idstringOptional
The Propexo unique identifier for the property
integration_idstringOptional
The Propexo integration id
integration_vendorenumOptional
The integration vendor for the listing.

Response

Successful response
metaobject
resultslist of objects

Errors

400
Bad Request Error